<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mtlb_fread">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_fread</refname>
    <refpurpose>Matlab fread emulation function</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>There is no Scilab equivalent for Matlab <literal>fread</literal>. Scilab <literal>mget</literal>
    and Matlab <literal>fread</literal> behave differently in many cases, but they are equivalents in some cases.</para>
    <para>
    The function <literal>mtlb_fread(varargin)</literal> is used by
    <literal>mfile2sci</literal> to replace <literal>fread</literal>. This function will
    determine the correct semantic at run time. It is sometimes possible to replace
    calls to <literal>mtlb_fread</literal> by calls to <link linkend="mget">mget</link>.
    </para>
    <para>Caution: <literal>mtlb_fread</literal> has not to be used for hand coded functions.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="mget">mget</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
